Subject: bug#33167: 26; Doc string of `region-extract-function'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 27 Oct 2018 22:37:18 +0300

> Date: Sat, 27 Oct 2018 12:30:31 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> Is it really the case that the value of `region-extract-function'
> can pass any limits it wants to `filter-buffer-substring', even
> limits that have no relation to the pieces of the noncontiguous
> region?

I'd say doing so would make no sense to me.

> So the only thing specified is that `filter-buffer-substring'
> gets called once for each each piece?  I.e., all that's specified
> is that if the nc region has N pieces then `filter-buffer-substring'
> is called N times - nothing more?

I think it should be called once on each such piece, yes.